> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Health

> Check the health and connectivity status of your WhatsApp channel to ensure optimal message delivery performance.



## OpenAPI

````yaml GET /channel/health
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /channel/health:
    get:
      tags:
        - Channel
      description: >-
        Check the health and connectivity status of your WhatsApp channel to
        ensure optimal message delivery performance.
      operationId: channel.health
      responses:
        '200':
          description: '`HealthResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResource'
components:
  schemas:
    HealthResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            name:
              type: string
              description: The name of the channel.
            code:
              type: string
              description: The code of the channel.
            status:
              type: string
              description: The status of the channel.
              examples:
                - WORKING
                - SCAN_QR_CODE
                - STOPPED
            up_time:
              type: string
              description: The uptime date of the channel.
            start_at:
              type: string
              description: The start date of the channel.
            timestamp:
              type: string
            phone:
              type: object
              properties:
                name:
                  type: string
                  description: The phone name of the representative phone inside channel.
                number:
                  type: integer
                  description: The phone number of the representative phone inside channel.
              required:
                - name
                - number
          required:
            - name
            - code
            - status
            - up_time
            - start_at
            - timestamp
            - phone
      required:
        - success
        - message
        - data
      title: HealthResource
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````